> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/documentation/es/empezar/quick-start-agent-browser.md).

# Inicio rápido: Agent Browser

Empieza a usar Agent Browser de Oxylabs en solo unos minutos con una sencilla guía paso a paso.

{% hint style="success" %}
¿Ya conoces los conceptos básicos? Consulta la [documentación de Agent Browser](/products/es/agent-browser.md).
{% endhint %}

Oxylabs [Agent Browser](https://oxylabs.io/products/headless-browser) es una infraestructura de navegador alojada en la nube que gestiona automáticamente los sistemas de control de tráfico de bots, los CAPTCHAs y la rotación de proxies. Es totalmente compatible con Playwright, Puppeteer y el Protocolo de contexto del modelo (MCP) para aplicaciones de IA.

{% stepper %}
{% step %}

### Configuración y credenciales

1. **Crea una cuenta:** Regístrate en la [Panel de Oxylabs](https://dashboard.oxylabs.io/).
2. **Añade una instancia de producto:** Haz clic en **+ Añadir instancia de producto** y selecciona Agent Browser en la categoría Navegadores.
3. **Configura:** Elige el nombre de la instancia, los límites de uso del producto (opcional) y crea la instancia.
4. **Obtén las credenciales:** Haz clic en el producto Agent Browser en la tabla de resumen de instancias y obtén tus credenciales.

{% hint style="info" %}
Para probar nuestro Agent Browser gratis, reclama un crédito de bienvenida de $5 [de bienvenida](/documentation/es/dashboard/facturacion-basada-en-creditos.md#free-credits-welcome-credit).
{% endhint %}
{% endstep %}

{% step %}

### Tu primera solicitud

Oxylabs Agent Browser usa el Chrome DevTools Protocol (CDP). Puedes conectarte a él usando Playwright o Puppeteer sin administrar binarios de navegador locales.

**Ejemplo con Python + Playwright:**

1. Instala Playwright: `pip install playwright`
2. Ejecuta el siguiente script (reemplaza `USERNAME` y `PASSWORD` por tus credenciales):

```python
from playwright.sync_api import sync_playwright

username = "USERNAME"
password = "PASSWORD"
endpoint = "hb.oxylabs.io"
browser_url = f"wss://{username}:{password}@{endpoint}"

with sync_playwright() as p:
    # Connect to the remote Oxylabs browser
    browser = p.chromium.connect_over_cdp(browser_url)
    page = browser.new_page()
    
    page.goto('https://oxylabs.io/')
    print(f"Page Title: {page.title()}")
    
    browser.close()
```

{% endstep %}
{% endstepper %}

### Personalización del navegador

También puedes pasar instrucciones directamente a través de la URL de conexión usando parámetros de consulta:

<table><thead><tr><th width="138.5">Parámetro</th><th width="172">Ejemplo</th><th>Descripción</th></tr></thead><tbody><tr><td><code>p_cc</code></td><td><code>?p_cc=US</code></td><td>Dirige el tráfico del navegador a través de un país específico.</td></tr><tr><td><code>p_device</code></td><td><code>?p_device=mobile</code></td><td>Emula un tipo de dispositivo específico.</td></tr><tr><td><code>session_name</code></td><td><code>?session_name=ses-1</code></td><td>Crea una sesión persistente para mantener tu instancia de navegador remoto ejecutándose en la nube.</td></tr></tbody></table>

Encuentra más opciones de personalización en Agent Browser [documentación](/products/es/agent-browser.md#features).

### Siguientes pasos

* **¿Quieres supervisar tu navegador?** Obtén más información sobre la [Herramienta de inspección de sesiones](/products/es/agent-browser/session-inspection-and-recording.md) para seguir visualmente las interacciones de tu script con el navegador en tiempo real.
* **¿Tu script es demasiado lento?** Prueba [Optimización del tráfico](/products/es/agent-browser.md#recommended-setup) para bloquear la carga de recursos innecesarios. Esto aumentará la velocidad de scraping y reducirá el consumo de ancho de banda.
* **¿Te encuentras con errores o tiempos de espera?** Visita la [Guía de solución de problemas](/products/es/agent-browser/troubleshooting-guide.md) para resolver problemas comunes de conexión CDP, incompatibilidades de versiones de bibliotecas y tiempos de espera de ejecución.
* **¿Aparece un "403 Forbidden" en un sitio importante?** Consulta la [lista de destinos restringidos](/products/es/agent-browser/restricted-targets.md) para ver qué sitios web o servicios tienen restringido el acceso para Agent Browser.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.oxylabs.io/documentation/es/empezar/quick-start-agent-browser.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
